Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162415 - Ulogd starts before mysql
Summary: Ulogd starts before mysql
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ulogd
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE5Target
TreeView+ depends on / blocked
 
Reported: 2005-07-04 11:11 UTC by Jeff Iddings
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-24 10:42:22 UTC


Attachments (Terms of Use)

Description Jeff Iddings 2005-07-04 11:11:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Ulogd is set to start before MySQL, but if logging to MySQL, ulogd will seg fault if/when it is unable to connect with mysqld. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. chkconfig mysqld on ; chkconfig ulogd on
2. reboot

Actual Results:  Ulogd starts first and then MySQL. Ulogd is unable to log to MySQL and crashes. 

Expected Results:  I would have expected ulogd to start after mysqld or for ulogd to retry the database connection very X minutes until connected, without crashing.

Additional info:

Comment 1 Aurelien Bompard 2005-07-24 10:42:22 UTC
I've fixed it in CVS, an update for FC4 will be published. Ulog now starts after
mysql.


Note You need to log in before you can comment on or make changes to this bug.